org.apache.velocity.tools.view.jsp.jspimpl

## Class VelocityJspFragment

- java.lang.Object
- - javax.servlet.jsp.tagext.JspFragment
  - - org.apache.velocity.tools.view.jsp.jspimpl.VelocityJspFragment

    public class VelocityJspFragment
    extends javax.servlet.jsp.tagext.JspFragment

Exposes a directive body block as a `JspFragment`, i.e. the body of SimpleTag.

### Constructor Summary

Constructors
Constructor and Description
`VelocityJspFragment(javax.servlet.jsp.PageContext pageContext, org.apache.velocity.runtime.parser.node.ASTBlock block, org.apache.velocity.context.InternalContextAdapter context)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.servlet.jsp.JspContext` `getJspContext()`
`void` `invoke(Writer out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VelocityJspFragment

    public VelocityJspFragment(javax.servlet.jsp.PageContext pageContext,
                               org.apache.velocity.runtime.parser.node.ASTBlock block,
                               org.apache.velocity.context.InternalContextAdapter context)

Constructor.

Parameters:
  `pageContext` - The page context to use.
  `block` - The block to wrap.
  `context` - The directive context.

### Method Detail

#### invoke

    public void invoke(Writer out)
                throws javax.servlet.jsp.JspException,
                       IOException

Specified by:
  `invoke` in class `javax.servlet.jsp.tagext.JspFragment`
Throws:
  `javax.servlet.jsp.JspException`
  `IOException`

#### getJspContext

    public javax.servlet.jsp.JspContext getJspContext()

Specified by:
  `getJspContext` in class `javax.servlet.jsp.tagext.JspFragment`